Skip to main content

Download PDF

Download a generated PDF document for a specific sales order.

Endpoint​

GET /sales-orders/{{salesOrderId}}

Authentication​

X-API-Key (passed in the Authorization header)

Request Parameters​

Path Parameters​

ParameterTypeRequiredDescription
salesOrderIdstringYesThe unique identifier of the sales order to download the PDF for.

Query Parameters​

ParameterTypeRequiredDefaultDescription
formatstringNo—The PDF format to download. Should match the format used when generating.
downloadbooleanNofalseSet to true to force download as an attachment.

Request Headers​

HeaderValueRequiredDescription
AuthorizationX-API-Key: {{apiKey}}YesX-API-Key for authentication.

Example Request​

curl -X GET "https://api.example.com/sales-orders/{{salesOrderId}}?download=true" \
-H "X-API-Key: {{apiKey}}" \
--output sales-order.pdf

Request Schema​

No request body is required for this endpoint.